package gui.panels;

import engine.Engine;

import javax.swing.JFrame;

import utils.Language;

/**
 * Plot panel with additional components 
 * for specific options to plot quartile table.
 * 
 * @author Pavel Vojtas
 * @version 1.0
 *
 */
public class QuartPlotPanel extends PlotPanel{

	private static final long serialVersionUID = 1L;
	private ChooseColorPanel colorPanel;
	
	/**
	 * Create panel for plots of frequency table.
	 * 
	 * @param engine {@link Engine} - engine for data analyze
	 * @param lang {@link Language} - language for load labels
	 * @param parent JFrame - parent frame
	 * @param colName String[] - columns names
	 */
	public QuartPlotPanel(Engine engine, Language lang, JFrame parent, String[] colName) {
		super(engine, lang, parent, colName);
	}

	@Override
	protected void createComponents() {
		String[] names = {"Object", "Colors"};
		colorPanel = new ChooseColorPanel(colName, names);
		add(colorPanel);
	}

	@Override
	protected boolean drawPlot() {
		engine.setColors(colorPanel.getColors());
		engine.createBoxPlot(tfTitle.getText(), colName);
		return true;
	}
}
