package gui.panels;

import java.awt.BorderLayout;
import java.awt.Dimension;

import javax.swing.BorderFactory;
import javax.swing.JLabel;

/**
 * Status bar. Shows helps for application buttons.
 * 
 * @author Pavel Vojtas
 * @version 1.0
 * 
 */
public class StatusBar extends javax.swing.JPanel{

	private static final long serialVersionUID = 1L;
	
	private JLabel status;

	/**
	 * Create status bar with specific width.
	 * 
	 * @param width int - width of status bar
	 */
	public StatusBar(int width) {
		setPreferredSize(new Dimension(width,20));
		status = new JLabel();
		setLayout(new BorderLayout());
		add(status, BorderLayout.WEST);
		setBorder(BorderFactory.createLoweredBevelBorder());
	}
	
	/**
	 * Set specific help text.
	 * 
	 * @param status String - help text
	 */
	public void setStatusText(String status) {
		this.status.setText(status);;
	}
	
	/**
	 * Return specific help text.
	 * 
	 * @return status String - help text
	 */
	public String getStatusText() {
		return status.getText();
	}

}