package main;
import javax.swing.SwingUtilities;
import javax.swing.UIManager;
import javax.swing.UnsupportedLookAndFeelException;

import utils.LanguageUtils;
import engine.r.R_engine;
import gui.DataFrame;

/**
 * Main class. Used for run application.
 * 
 * @author Pavel Vojtas
 * @version 1.0
 */
public class App {

	/**
	 * Sets system look and feel and run application.
	 * 
	 * @param args - console parameters (not implemented)
	 */
	public static void main(String[] args) {
		try{
			UIManager.setLookAndFeel(UIManager.getSystemLookAndFeelClassName());
			SwingUtilities.invokeLater(new Runnable() {
				
				@Override
				public void run() {
					try {
						new DataFrame(new R_engine(), LanguageUtils.getLanguage()).setVisible(true);;
					} catch (Exception e) {
						e.printStackTrace();
					}
				}
			});	
		}
		catch(ClassNotFoundException | InstantiationException | IllegalAccessException | UnsupportedLookAndFeelException e){
			e.printStackTrace();
		}
	}

}