package model;

/**
 * Model class represented structure for result of independence test.
 * 
 * @author Pavel Vojtas
 * @version 1.0
 *
 */
public class ChisqTest {
	
	private String notes;
	private boolean success;

	/**
	 * Create instance with result of test.
	 * 
	 * @param notes String
	 * @param success boolean - true if it is independent, false if it is dependent.
	 */
	public ChisqTest(String notes, boolean success) {
		this.notes = notes;
		this.success = success;
	}
	
	/**
	 * Return test values.
	 * 
	 * @return notes String - test values
	 */
	public String getNotes() {
		return notes;
	}
	
	/**
	 * Set test values.
	 * 
	 * @param notes String - test values
	 */
	public void setNotes(String notes) {
		this.notes = notes;
	}
	
	/**
	 * Return independent status.
	 * 
	 * @return success boolean - true if it is independent, false otherwise
	 */
	public boolean isSuccess() {
		return success;
	}
	
	/**
	 * Set true if it is independent, false otherwise.
	 * 
	 * @param success boolean
	 */
	public void setSuccess(boolean success) {
		this.success = success;
	}

	@Override
	public String toString() {
		return notes;
	}
	
}
